// GLOBAL
$col_grey: #2b2b2b;
$col_greyLight: #555252;
$col_pink: #ed1450;


@mixin linkHover($color) {
    background-color: $color;
    border: 1px solid transparent;
    &:hover{
        border: 1px solid $color;
        background-color: lighten($color, 10%);
    }
}

@import "login", "datepicker", "button";

body {
    margin: 0;
    font-family: 'Ubuntu', sans-serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: $col_grey;
    text-align: left;
    background-color: $col_grey;
}

body.show .form-horizontal{
    background-color: lighten($col_greyLight, 55%);
}

// LINK
a,
i,
.a-container{transition: all .5s ease}

.navbar{
    padding: 0;
}

#navigation-toggler {
    background: transparent;
    border: 1px solid lighten($col_greyLight, 33%);
    filter: none;
    color: lighten($col_greyLight, 33%);
    cursor: pointer;
    font-size: 30px;
    margin: 0 10px 0 0;
    padding: 0 10px;
    width: auto;
}

.popover{border-radius: 0;}

// LEFT MENU
.main-sidebar{
    padding: 1rem;
    background-color: lighten($col_greyLight, 45%);
    border-right: 1px solid lighten($col_greyLight, 25%);
}
.sidebar-menu li{
    border-bottom: 1px solid lighten($col_greyLight, 33%);
    padding: 10px 0;

    &:first-child{
        padding-top: 0;
    }
    &:last-child{
        padding-bottom: 0;
        border-bottom: 0;
    }

    a{
        display: block;
        transform: translateX(0);
        padding: 0;
        transition: all .35s ease-in-out;

        &:hover{
            transform: translateX(10px);
            color: lighten($col_grey, 15%);

            i{color: lighten($col_grey, 15%);}
        }

    }

}
.sidebar-menu a,
.sidebar-menu .fa{
    color: $col_grey;
    filter: none;
}
.sidebar-menu li:not(.submenu-active).active{border-radius: 0;}
.sidebar-menu li:not(.submenu-active).active .fa,
.sidebar-menu li:not(.submenu-active).active a{
    color: $col_pink;
}

// TABLE
.datagrid td.actions a{margin: 0;}
.datagrid td.actions .fa{font-size: 28px;}
.table{
    background-color: lighten($col_greyLight, 55%);
    color: $col_grey;

    a{
        color: $col_pink;

    }

    td.event-icon i{
        padding: 10px;
    background-color: white;
    color: $col_pink;
    border-radius: 50%;
    border: 2px solid;
    }
}
.datagrid thead {background: lighten($col_greyLight, 55%);}
.table thead th{border-bottom: 1px solid lighten($col_greyLight, 25%);}
.datagrid tbody tr:hover td, .datagrid tbody tr:hover th {
    background: lighten($col_greyLight, 60%);
}
.datagrid th, .datagrid td {
    border-bottom: 1px solid lighten($col_greyLight, 45%);
}
.table td{vertical-align: middle;}


.form-control{
    border-radius: 0;
    border: 0;
    box-shadow: none;
}

.wrapper{grid-column-gap: 0;}
#sidebar-resizer-handler{display: none;}
.content-wrapper{grid-template-columns: 0 auto 0;}

// CONTENT
.content-header{
    border-bottom: 1px solid lighten($col_greyLight, 25%);
}

.content,
.content-body form,
.content-footer{
    border-radius: 0;
    background-color: lighten($col_greyLight, 50%);
}

.content-footer{
    border-top: 1px solid lighten($col_greyLight, 25%);
    color: lighten($col_greyLight, 5%);
}


// Bug Image Upload
.btn:not(.disabled).input-file-container{
    white-space: normal;
    cursor: default;

    .custom-file-input{display: none;}
    .custom-file-label{
        border-radius: 0;
        &:hover{
            cursor: pointer;
            background-color: #33c5ec;
        }

        &::after{
            content: "Rechercher";
            border-radius: 0;
        }
    }
}
// DropDown
.select2-container--bootstrap .select2-selection,
.select2-container--bootstrap .select2-search--dropdown .select2-search__field{border-radius: 0;}
.select2-container--bootstrap .select2-results__option--highlighted[aria-selected]{background-color: lighten($col_greyLight, 50%);}
.select2-container--bootstrap .select2-results__option[aria-selected=true]{background-color: lighten($col_greyLight, 45%);}
.select2-results__options{color: $col_grey;}

// DropDown Icon
.event-icon-form #select2-event_icon-container,
.select2-results__options{
    i{
        margin-left: 10px;
        color: $col_pink;
    }
}

// PAGINATION
.pagination a{
    @include linkHover(lighten($col_greyLight, 33%));
}
